Get count of executed test cases
GET
/executedtestcases/countGet count of executed test cases
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ExecutedTestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ExecutedTestCasesApi(config);
const result = await api.getExecutedTestCaseCount({ "project": 123, "filter": "example"});console.log(result);curl --request GET \ "https://api.testcollab.io/executedtestcases/count?token=$TESTCOLLAB_TOKEN&project=123&filter=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
filter |
query | string | Yes | filter query |
Response
Section titled “Response”200 — Count of executed test cases
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |